Subject: Re: bug#47785: 28.0.50; kmacro-edit-lossage fails when \C-hl is not bound to view-lossage

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 05 May 2021 15:00:44 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> I've just taken a very quick look at the command, and I'm guessing it
> has something to do with:
>
> 	    ((or (memq cmd '(view-lossage electric-view-lossage))
>                  (memq cmd-noremap '(view-lossage electric-view-lossage)))
> 	     (setq mac (recent-keys))
>
> mac ends up being
>
> #<subr undefined>

I was totally looking at the wrong thing.  The problem was in
`kmacro-edit-lossage' itself, which assumed that `C-h l' was bound.
This should now be fixed in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no